<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

if(isset($_GET['id'])){
	$soo = intval($_GET['id']);
	}else{
		header("Location: /index.php");
		}

$set['title'] = 'Правила &amp; '.$_SERVER['HTTP_HOST'];
include_once '../sys/inc/thead.php';

title();
aut();

echo '<div class="menu">';

$comm = mysql_fetch_array(mysql_query('SELECT * FROM `community_comm` WHERE `id` = '.$soo.' LIMIT 1'));
if($soo==0 || $soo<0){
	echo '<div class="err">Иди нахуй! Хакер недоношеный!</div>';
	}else if($soo!=$comm['id']){
		echo '<div class="err">Сообщество не найдено.</div>';
		}else{

$k_rules = mysql_num_rows(mysql_query("SELECT `rules` FROM `community_comm` WHERE `id` = '".$soo."'"));
$k_page = k_page($k_rules,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];

$q4 = mysql_query("SELECT * FROM `community_comm` WHERE `id` = '".$soo."'");
echo 'Читать ВСЕМ обязательно<br/>';
while($rules = mysql_fetch_array($q4)){

if($rules['rules']!=NULL){
	echo output_text($rules['rules']).'<br/>';
	}else{
		echo 'Правила не заполнены, но это не даёт Вам право нарушать правила сайта '.$_SERVER['HTTP_HOST'];
		}
		}

if($k_page>1){
	str('pravila.php?id='.$soo.'&amp;',$k_page,$page);
	}

echo '&#187;&nbsp;<a href="comm.php?id='.$soo.'">В сообщество</a><br/>';
}

echo '</div>';
include_once '../sys/inc/tfoot.php';
?>